From 6c13cf414f2f2f5de4b7e3da4dfb9f45de1bbcb2 Mon Sep 17 00:00:00 2001
From: awalsh128 <awalsh128@gomail.com>
Date: Sat, 16 Oct 2021 21:17:55 -0700
Subject: [PATCH] Fail script on any error.

---
 install_and_cache_pkgs.sh | 3 +++
 restore_pkgs.sh           | 3 +++
 validate_pkgs.sh          | 3 +++
 3 files changed, 9 insertions(+)

diff --git a/install_and_cache_pkgs.sh b/install_and_cache_pkgs.sh
index 7f1b90d..37fda4f 100755
--- a/install_and_cache_pkgs.sh
+++ b/install_and_cache_pkgs.sh
@@ -1,5 +1,8 @@
 #!/bin/bash
 
+# Fail on any error.
+set -e
+
 # Directory that holds the cached packages.
 cache_dir=$1
 # List of the packages to use.
diff --git a/restore_pkgs.sh b/restore_pkgs.sh
index c3bfe14..cfd292e 100755
--- a/restore_pkgs.sh
+++ b/restore_pkgs.sh
@@ -1,5 +1,8 @@
 #!/bin/bash
 
+# Fail on any error.
+set -e
+
 # Directory that holds the cached packages.
 cache_dir=$1
 # Root directory to untar the cached packages to.
diff --git a/validate_pkgs.sh b/validate_pkgs.sh
index 09e3e52..3b63a70 100755
--- a/validate_pkgs.sh
+++ b/validate_pkgs.sh
@@ -1,5 +1,8 @@
 #!/bin/bash
 
+# Fail on any error.
+set -e
+
 packages=$1
 
 echo -n "* Validating action arguments... ";